# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Attributes | List of all members
DBus::Interface Class Reference

`#include <interface.h>`

Inheritance diagram for DBus::Interface:

## Public Member Functions

| Interface (const std::string &name)
virtual | ~Interface ()
const std::string & | name () const

## Private Attributes

std::string | _name

## Detailed Description

Definition at line 105 of file interface.h.

## Constructor & Destructor Documentation

## ◆ Interface()

Interface::Interface | ( | const std::string & | name | ) |

Definition at line 35 of file interface.cpp.

References _name, and name().

Referenced by DBus::InterfaceAdaptor::InterfaceAdaptor(), and DBus::InterfaceProxy::InterfaceProxy().

## ◆ ~Interface()

Interface::~Interface | ( |  | ) |

virtual

Definition at line 39 of file interface.cpp.

## Member Function Documentation

## ◆ name()

const std::string & DBus::Interface::name | ( |  | ) | const

inline

Definition at line 123 of file interface.h.

References _name.

Referenced by DBus::InterfaceAdaptor::dispatch_method(), DBus::InterfaceProxy::dispatch_signal(), DBus::InterfaceAdaptor::emit_signal(), DBus::InterfaceAdaptor::get_property(), Interface(), DBus::InterfaceAdaptor::InterfaceAdaptor(), DBus::InterfaceProxy::InterfaceProxy(), DBus::InterfaceProxy::invoke_method(), DBus::InterfaceProxy::invoke_method_noreply(), and DBus::InterfaceAdaptor::set_property().

## Member Data Documentation

## ◆ _name

std::string DBus::Interface::_name

private

Definition at line 117 of file interface.h.

Referenced by Interface(), and name().

The documentation for this class was generated from the following files:

- interface.h
- interface.cpp